#ifdef __CLING__
#pragma cling optimize(0)
#endif
void Fig3b()
{
//=========Macro generated from canvas: myC0/myC0
//=========  (Wed Nov 22 01:25:20 2023) by ROOT version 6.26/06
   TCanvas *myC0 = new TCanvas("myC0", "myC0",0,0,800,600);
   gStyle->SetOptFit(1);
   gStyle->SetOptStat(0);
   gStyle->SetOptTitle(0);
   myC0->SetHighLightColor(2);
   myC0->Range(-0.5429913,-2.152497,3.335518,3.169174);
   myC0->SetFillColor(0);
   myC0->SetBorderMode(0);
   myC0->SetBorderSize(2);
   myC0->SetLogy();
   myC0->SetTickx(1);
   myC0->SetTicky(1);
   myC0->SetLeftMargin(0.14);
   myC0->SetRightMargin(0.05);
   myC0->SetTopMargin(0.05);
   myC0->SetBottomMargin(0.16);
   myC0->SetFrameLineWidth(2);
   myC0->SetFrameBorderMode(0);
   myC0->SetFrameLineWidth(2);
   myC0->SetFrameBorderMode(0);
   Double_t xAxis1[6] = {0, 0.6283185, 1.256637, 1.884956, 2.513274, 3.141593}; 
   
   TH1F *csHist__1 = new TH1F("csHist__1","csHist",5, xAxis1);
   csHist__1->SetBinContent(1,2.169971);
   csHist__1->SetBinContent(2,2.057422);
   csHist__1->SetBinContent(3,0.3915527);
   csHist__1->SetBinContent(4,1.16078);
   csHist__1->SetBinContent(5,1.378193);
   csHist__1->SetBinError(1,0.8198437);
   csHist__1->SetBinError(2,0.4943998);
   csHist__1->SetBinError(3,0.3318459);
   csHist__1->SetBinError(4,0.4848376);
   csHist__1->SetBinError(5,0.3781344);
   csHist__1->SetMinimum(0.05);
   csHist__1->SetMaximum(800);
   csHist__1->SetEntries(5);
   csHist__1->SetLineWidth(2);
   csHist__1->SetMarkerStyle(20);
   csHist__1->GetXaxis()->SetTitle("#Delta#it{#phi}");
   csHist__1->GetXaxis()->SetNdivisions(505);
   csHist__1->GetXaxis()->SetLabelFont(132);
   csHist__1->GetXaxis()->SetLabelOffset(0.01);
   csHist__1->GetXaxis()->SetLabelSize(0.06);
   csHist__1->GetXaxis()->SetTitleSize(0.072);
   csHist__1->GetXaxis()->SetTitleOffset(0.95);
   csHist__1->GetXaxis()->SetTitleFont(132);
   csHist__1->GetYaxis()->SetTitle("d#it{#sigma}/d#Delta#it{#phi} [nb]");
   csHist__1->GetYaxis()->SetLabelFont(132);
   csHist__1->GetYaxis()->SetLabelOffset(0.01);
   csHist__1->GetYaxis()->SetLabelSize(0.06);
   csHist__1->GetYaxis()->SetTitleSize(0.072);
   csHist__1->GetYaxis()->SetTitleOffset(0.8);
   csHist__1->GetYaxis()->SetTitleFont(132);
   csHist__1->GetZaxis()->SetLabelFont(132);
   csHist__1->GetZaxis()->SetLabelSize(0.06);
   csHist__1->GetZaxis()->SetTitleSize(0.072);
   csHist__1->GetZaxis()->SetTitleOffset(1.2);
   csHist__1->GetZaxis()->SetTitleFont(132);
   csHist__1->Draw("E1");
   
   Double_t Graph0_fx3001[5] = {
   0.3141593,
   0.9424778,
   1.570796,
   2.199115,
   2.827433};
   Double_t Graph0_fy3001[5] = {
   9.616478,
   5.973247,
   3.952564,
   2.815159,
   9.761392};
   Double_t Graph0_felx3001[5] = {
   0.3141593,
   0.3141593,
   0.3141593,
   0.3141593,
   0.3141593};
   Double_t Graph0_fely3001[5] = {
   7.561107,
   4.716724,
   3.125867,
   2.232724,
   7.547515};
   Double_t Graph0_fehx3001[5] = {
   0.3141593,
   0.3141593,
   0.3141593,
   0.3141593,
   0.3141593};
   Double_t Graph0_fehy3001[5] = {
   32.2755,
   20.03938,
   13.18347,
   9.281925,
   31.74773};
   TGraphAsymmErrors *grae = new TGraphAsymmErrors(5,Graph0_fx3001,Graph0_fy3001,Graph0_felx3001,Graph0_fehx3001,Graph0_fely3001,Graph0_fehy3001);
   grae->SetName("Graph0");
   grae->SetTitle("Graph");

   Int_t ci;      // for color index setting
   TColor *color; // for color definition with alpha
   ci = TColor::GetColor("#cc00ff");
   grae->SetFillColor(ci);
   grae->SetFillStyle(3254);
   grae->SetLineColor(0);
   grae->SetLineWidth(2);
   grae->SetMarkerStyle(20);
   
   TH1F *Graph_Graph03001 = new TH1F("Graph_Graph03001","Graph",100,0,3.455752);
   Graph_Graph03001->SetMinimum(0.524191);
   Graph_Graph03001->SetMaximum(46.02294);
   Graph_Graph03001->SetDirectory(0);
   Graph_Graph03001->SetStats(0);
   Graph_Graph03001->SetLineWidth(2);
   Graph_Graph03001->SetMarkerStyle(20);
   Graph_Graph03001->GetXaxis()->SetNdivisions(505);
   Graph_Graph03001->GetXaxis()->SetLabelFont(132);
   Graph_Graph03001->GetXaxis()->SetLabelOffset(0.01);
   Graph_Graph03001->GetXaxis()->SetLabelSize(0.06);
   Graph_Graph03001->GetXaxis()->SetTitleSize(0.072);
   Graph_Graph03001->GetXaxis()->SetTitleOffset(0.95);
   Graph_Graph03001->GetXaxis()->SetTitleFont(132);
   Graph_Graph03001->GetYaxis()->SetLabelFont(132);
   Graph_Graph03001->GetYaxis()->SetLabelOffset(0.01);
   Graph_Graph03001->GetYaxis()->SetLabelSize(0.06);
   Graph_Graph03001->GetYaxis()->SetTitleSize(0.072);
   Graph_Graph03001->GetYaxis()->SetTitleOffset(0.8);
   Graph_Graph03001->GetYaxis()->SetTitleFont(132);
   Graph_Graph03001->GetZaxis()->SetLabelFont(132);
   Graph_Graph03001->GetZaxis()->SetLabelSize(0.06);
   Graph_Graph03001->GetZaxis()->SetTitleSize(0.072);
   Graph_Graph03001->GetZaxis()->SetTitleOffset(1.2);
   Graph_Graph03001->GetZaxis()->SetTitleFont(132);
   grae->SetHistogram(Graph_Graph03001);
   
   grae->Draw("2 ");
   Double_t xAxis2[6] = {0, 0.6283185, 1.256637, 1.884956, 2.513274, 3.141593}; 
   
   TH1F *csHist__2 = new TH1F("csHist__2","csHist",5, xAxis2);
   csHist__2->SetBinContent(1,2.169971);
   csHist__2->SetBinContent(2,2.057422);
   csHist__2->SetBinContent(3,0.3915527);
   csHist__2->SetBinContent(4,1.16078);
   csHist__2->SetBinContent(5,1.378193);
   csHist__2->SetBinError(1,0.8198437);
   csHist__2->SetBinError(2,0.4943998);
   csHist__2->SetBinError(3,0.3318459);
   csHist__2->SetBinError(4,0.4848376);
   csHist__2->SetBinError(5,0.3781344);
   csHist__2->SetMinimum(0.05);
   csHist__2->SetMaximum(800);
   csHist__2->SetEntries(5);
   csHist__2->SetLineWidth(2);
   csHist__2->SetMarkerStyle(20);
   csHist__2->GetXaxis()->SetTitle("#Delta#it{#phi}");
   csHist__2->GetXaxis()->SetNdivisions(505);
   csHist__2->GetXaxis()->SetLabelFont(132);
   csHist__2->GetXaxis()->SetLabelOffset(0.01);
   csHist__2->GetXaxis()->SetLabelSize(0.06);
   csHist__2->GetXaxis()->SetTitleSize(0.072);
   csHist__2->GetXaxis()->SetTitleOffset(0.95);
   csHist__2->GetXaxis()->SetTitleFont(132);
   csHist__2->GetYaxis()->SetTitle("d#it{#sigma}/d#Delta#it{#phi} [nb]");
   csHist__2->GetYaxis()->SetLabelFont(132);
   csHist__2->GetYaxis()->SetLabelOffset(0.01);
   csHist__2->GetYaxis()->SetLabelSize(0.06);
   csHist__2->GetYaxis()->SetTitleSize(0.072);
   csHist__2->GetYaxis()->SetTitleOffset(0.8);
   csHist__2->GetYaxis()->SetTitleFont(132);
   csHist__2->GetZaxis()->SetLabelFont(132);
   csHist__2->GetZaxis()->SetLabelSize(0.06);
   csHist__2->GetZaxis()->SetTitleSize(0.072);
   csHist__2->GetZaxis()->SetTitleOffset(1.2);
   csHist__2->GetZaxis()->SetTitleFont(132);
   csHist__2->Draw("E1 same");
   
   TLegend *leg = new TLegend(0.6,0.72,0.9,0.9,NULL,"brNDC");
   leg->SetBorderSize(0);
   leg->SetTextFont(132);
   leg->SetTextSize(0.06);
   leg->SetLineColor(1);
   leg->SetLineStyle(1);
   leg->SetLineWidth(2);
   leg->SetFillColor(0);
   leg->SetFillStyle(0);
   TLegendEntry *entry=leg->AddEntry("csHist","Data","lep");
   entry->SetLineColor(1);
   entry->SetLineStyle(1);
   entry->SetLineWidth(2);
   entry->SetMarkerColor(1);
   entry->SetMarkerStyle(20);
   entry->SetMarkerSize(1);
   entry->SetTextFont(132);
   entry=leg->AddEntry("Graph0","NLO* CS","f");

   ci = TColor::GetColor("#cc00ff");
   entry->SetFillColor(ci);
   entry->SetFillStyle(3254);
   entry->SetLineStyle(1);
   entry->SetLineWidth(2);
   entry->SetMarkerColor(1);
   entry->SetMarkerStyle(21);
   entry->SetMarkerSize(1);
   entry->SetTextFont(132);
   leg->Draw();
   
   TPaveText *pt = new TPaveText(0.44,0.75,0.54,0.9,"BRNDC");
   pt->SetBorderSize(0);
   pt->SetFillColor(0);
   pt->SetLineWidth(2);
   pt->SetTextAlign(12);
   pt->SetTextFont(132);
   pt->SetTextSize(0.06);
   TText *pt_LaTex = pt->AddText("LHCb");
   pt_LaTex = pt->AddText("4.2 fb^{#minus1}");
   pt->Draw();
   myC0->Modified();
   myC0->cd();
   myC0->SetSelected(myC0);
}
