#ifdef __CLING__
#pragma cling optimize(0)
#endif
void Fig3d()
{
//=========Macro generated from canvas: myC0/myC0
//=========  (Wed Nov 22 01:31:54 2023) by ROOT version 6.26/06
   TCanvas *myC0 = new TCanvas("myC0", "myC0",0,0,800,600);
   gStyle->SetOptFit(1);
   gStyle->SetOptStat(0);
   gStyle->SetOptTitle(0);
   myC0->SetHighLightColor(2);
   myC0->Range(1.567901,-2.535537,4.654321,3.793577);
   myC0->SetFillColor(0);
   myC0->SetBorderMode(0);
   myC0->SetBorderSize(2);
   myC0->SetLogy();
   myC0->SetTickx(1);
   myC0->SetTicky(1);
   myC0->SetLeftMargin(0.14);
   myC0->SetRightMargin(0.05);
   myC0->SetTopMargin(0.05);
   myC0->SetBottomMargin(0.16);
   myC0->SetFrameLineWidth(2);
   myC0->SetFrameBorderMode(0);
   myC0->SetFrameLineWidth(2);
   myC0->SetFrameBorderMode(0);
   Double_t xAxis1[6] = {2, 2.5, 3, 3.5, 4, 4.5}; 
   
   TH1F *csHist__1 = new TH1F("csHist__1","csHist",5, xAxis1);
   csHist__1->SetBinContent(1,1.886419);
   csHist__1->SetBinContent(2,2.891431);
   csHist__1->SetBinContent(3,2.4159);
   csHist__1->SetBinContent(4,1.407346);
   csHist__1->SetBinContent(5,0.2388994);
   csHist__1->SetBinError(1,1.017755);
   csHist__1->SetBinError(2,0.6791329);
   csHist__1->SetBinError(3,0.5902572);
   csHist__1->SetBinError(4,0.3976438);
   csHist__1->SetBinError(5,0.1941864);
   csHist__1->SetMinimum(0.03);
   csHist__1->SetMaximum(3000);
   csHist__1->SetEntries(5);
   csHist__1->SetLineWidth(2);
   csHist__1->SetMarkerStyle(20);
   csHist__1->GetXaxis()->SetTitle("#it{y}_{#it{J/#kern[-0.2]{#psi}}-#it{#psi}(2#it{S})}");
   csHist__1->GetXaxis()->SetNdivisions(505);
   csHist__1->GetXaxis()->SetLabelFont(132);
   csHist__1->GetXaxis()->SetLabelOffset(0.01);
   csHist__1->GetXaxis()->SetLabelSize(0.06);
   csHist__1->GetXaxis()->SetTitleSize(0.072);
   csHist__1->GetXaxis()->SetTitleOffset(0.95);
   csHist__1->GetXaxis()->SetTitleFont(132);
   csHist__1->GetYaxis()->SetTitle("d#it{#sigma}/d#it{y}_{#it{J/#kern[-0.2]{#psi}}-#it{#psi}(2#it{S})} [nb]");
   csHist__1->GetYaxis()->SetLabelFont(132);
   csHist__1->GetYaxis()->SetLabelOffset(0.01);
   csHist__1->GetYaxis()->SetLabelSize(0.06);
   csHist__1->GetYaxis()->SetTitleSize(0.072);
   csHist__1->GetYaxis()->SetTitleOffset(0.9);
   csHist__1->GetYaxis()->SetTitleFont(132);
   csHist__1->GetZaxis()->SetLabelFont(132);
   csHist__1->GetZaxis()->SetLabelSize(0.06);
   csHist__1->GetZaxis()->SetTitleSize(0.072);
   csHist__1->GetZaxis()->SetTitleOffset(1.2);
   csHist__1->GetZaxis()->SetTitleFont(132);
   csHist__1->Draw("E1");
   
   Double_t Graph0_fx3001[5] = {
   2.25,
   2.75,
   3.25,
   3.75,
   4.25};
   Double_t Graph0_fy3001[5] = {
   6.727425,
   11.3459,
   10.26411,
   8.183957,
   3.84033};
   Double_t Graph0_felx3001[5] = {
   0.25,
   0.25,
   0.25,
   0.25,
   0.25};
   Double_t Graph0_fely3001[5] = {
   5.359161,
   8.976189,
   8.028598,
   6.335796,
   2.951783};
   Double_t Graph0_fehx3001[5] = {
   0.25,
   0.25,
   0.25,
   0.25,
   0.25};
   Double_t Graph0_fehy3001[5] = {
   23.32626,
   38.56357,
   33.69273,
   26.21445,
   12.08185};
   TGraphAsymmErrors *grae = new TGraphAsymmErrors(5,Graph0_fx3001,Graph0_fy3001,Graph0_felx3001,Graph0_fehx3001,Graph0_fely3001,Graph0_fehy3001);
   grae->SetName("Graph0");
   grae->SetTitle("Graph");

   Int_t ci;      // for color index setting
   TColor *color; // for color definition with alpha
   ci = TColor::GetColor("#cc00ff");
   grae->SetFillColor(ci);
   grae->SetFillStyle(3254);
   grae->SetLineColor(0);
   grae->SetLineWidth(2);
   grae->SetMarkerStyle(20);
   
   TH1F *Graph_Graph03001 = new TH1F("Graph_Graph03001","Graph",100,1.75,4.75);
   Graph_Graph03001->SetMinimum(0.7996919);
   Graph_Graph03001->SetMaximum(54.81156);
   Graph_Graph03001->SetDirectory(0);
   Graph_Graph03001->SetStats(0);
   Graph_Graph03001->SetLineWidth(2);
   Graph_Graph03001->SetMarkerStyle(20);
   Graph_Graph03001->GetXaxis()->SetNdivisions(505);
   Graph_Graph03001->GetXaxis()->SetLabelFont(132);
   Graph_Graph03001->GetXaxis()->SetLabelOffset(0.01);
   Graph_Graph03001->GetXaxis()->SetLabelSize(0.06);
   Graph_Graph03001->GetXaxis()->SetTitleSize(0.072);
   Graph_Graph03001->GetXaxis()->SetTitleOffset(0.95);
   Graph_Graph03001->GetXaxis()->SetTitleFont(132);
   Graph_Graph03001->GetYaxis()->SetLabelFont(132);
   Graph_Graph03001->GetYaxis()->SetLabelOffset(0.01);
   Graph_Graph03001->GetYaxis()->SetLabelSize(0.06);
   Graph_Graph03001->GetYaxis()->SetTitleSize(0.072);
   Graph_Graph03001->GetYaxis()->SetTitleOffset(0.8);
   Graph_Graph03001->GetYaxis()->SetTitleFont(132);
   Graph_Graph03001->GetZaxis()->SetLabelFont(132);
   Graph_Graph03001->GetZaxis()->SetLabelSize(0.06);
   Graph_Graph03001->GetZaxis()->SetTitleSize(0.072);
   Graph_Graph03001->GetZaxis()->SetTitleOffset(1.2);
   Graph_Graph03001->GetZaxis()->SetTitleFont(132);
   grae->SetHistogram(Graph_Graph03001);
   
   grae->Draw("2 ");
   Double_t xAxis2[6] = {2, 2.5, 3, 3.5, 4, 4.5}; 
   
   TH1F *csHist__2 = new TH1F("csHist__2","csHist",5, xAxis2);
   csHist__2->SetBinContent(1,1.886419);
   csHist__2->SetBinContent(2,2.891431);
   csHist__2->SetBinContent(3,2.4159);
   csHist__2->SetBinContent(4,1.407346);
   csHist__2->SetBinContent(5,0.2388994);
   csHist__2->SetBinError(1,1.017755);
   csHist__2->SetBinError(2,0.6791329);
   csHist__2->SetBinError(3,0.5902572);
   csHist__2->SetBinError(4,0.3976438);
   csHist__2->SetBinError(5,0.1941864);
   csHist__2->SetMinimum(0.03);
   csHist__2->SetMaximum(3000);
   csHist__2->SetEntries(5);
   csHist__2->SetLineWidth(2);
   csHist__2->SetMarkerStyle(20);
   csHist__2->GetXaxis()->SetTitle("#it{y}_{#it{J/#kern[-0.2]{#psi}}-#it{#psi}(2#it{S})}");
   csHist__2->GetXaxis()->SetNdivisions(505);
   csHist__2->GetXaxis()->SetLabelFont(132);
   csHist__2->GetXaxis()->SetLabelOffset(0.01);
   csHist__2->GetXaxis()->SetLabelSize(0.06);
   csHist__2->GetXaxis()->SetTitleSize(0.072);
   csHist__2->GetXaxis()->SetTitleOffset(0.95);
   csHist__2->GetXaxis()->SetTitleFont(132);
   csHist__2->GetYaxis()->SetTitle("d#it{#sigma}/d#it{y}_{#it{J/#kern[-0.2]{#psi}}-#it{#psi}(2#it{S})} [nb]");
   csHist__2->GetYaxis()->SetLabelFont(132);
   csHist__2->GetYaxis()->SetLabelOffset(0.01);
   csHist__2->GetYaxis()->SetLabelSize(0.06);
   csHist__2->GetYaxis()->SetTitleSize(0.072);
   csHist__2->GetYaxis()->SetTitleOffset(0.9);
   csHist__2->GetYaxis()->SetTitleFont(132);
   csHist__2->GetZaxis()->SetLabelFont(132);
   csHist__2->GetZaxis()->SetLabelSize(0.06);
   csHist__2->GetZaxis()->SetTitleSize(0.072);
   csHist__2->GetZaxis()->SetTitleOffset(1.2);
   csHist__2->GetZaxis()->SetTitleFont(132);
   csHist__2->Draw("E1 same");
   
   TLegend *leg = new TLegend(0.6,0.72,0.9,0.9,NULL,"brNDC");
   leg->SetBorderSize(0);
   leg->SetTextFont(132);
   leg->SetTextSize(0.06);
   leg->SetLineColor(1);
   leg->SetLineStyle(1);
   leg->SetLineWidth(2);
   leg->SetFillColor(0);
   leg->SetFillStyle(0);
   TLegendEntry *entry=leg->AddEntry("csHist","Data","lep");
   entry->SetLineColor(1);
   entry->SetLineStyle(1);
   entry->SetLineWidth(2);
   entry->SetMarkerColor(1);
   entry->SetMarkerStyle(20);
   entry->SetMarkerSize(1);
   entry->SetTextFont(132);
   entry=leg->AddEntry("Graph0","NLO* CS","f");

   ci = TColor::GetColor("#cc00ff");
   entry->SetFillColor(ci);
   entry->SetFillStyle(3254);
   entry->SetLineStyle(1);
   entry->SetLineWidth(2);
   entry->SetMarkerColor(1);
   entry->SetMarkerStyle(21);
   entry->SetMarkerSize(1);
   entry->SetTextFont(132);
   leg->Draw();
   
   TPaveText *pt = new TPaveText(0.44,0.75,0.54,0.9,"BRNDC");
   pt->SetBorderSize(0);
   pt->SetFillColor(0);
   pt->SetLineWidth(2);
   pt->SetTextAlign(12);
   pt->SetTextFont(132);
   pt->SetTextSize(0.06);
   TText *pt_LaTex = pt->AddText("LHCb");
   pt_LaTex = pt->AddText("4.2 fb^{#minus1}");
   pt->Draw();
   myC0->Modified();
   myC0->cd();
   myC0->SetSelected(myC0);
}
